﻿#region Copyright Syncfusion Inc. 2001-2018.
// Copyright Syncfusion Inc. 2001-2018. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace SyncfusionASPNETApplication
{
    public partial class _Default : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

            List<ProjectsList> groups = new List<ProjectsList>();
            groups.Add(new ProjectsList("a", "Project A"));
            groups.Add(new ProjectsList("b", "Project B"));
            groups.Add(new ProjectsList("c", "Project C"));
            groups.Add(new ProjectsList("d", "Project D"));
            this.projectList.DataSource = groups;

            List<employeesList> employees = new List<employeesList>();
            employees.Add(new employeesList(11, "a", "Employee 1"));
            employees.Add(new employeesList(12, "a", "Employee 2"));
            employees.Add(new employeesList(13, "a", "Employee 3"));
            employees.Add(new employeesList(14, "a", "Employee 4"));
            employees.Add(new employeesList(15, "b", "Employee 1"));
            employees.Add(new employeesList(16, "b", "Employee 5"));
            employees.Add(new employeesList(17, "c", "Employee 6"));
            employees.Add(new employeesList(18, "c", "Employee 7"));
            employees.Add(new employeesList(19, "c", "Employee 2"));
            employees.Add(new employeesList(20, "d", "Employee 3"));
            employees.Add(new employeesList(21, "d", "Employee 8"));
            employees.Add(new employeesList(22, "d", "Employee 9"));
            this.employeeList.DataSource = employees;

            List<ReportsList> report = new List<ReportsList>();
            report.Add(new ReportsList(11, "Report 1"));
            report.Add(new ReportsList(12, "Report 2"));
            report.Add(new ReportsList(13, "Report 3"));
            report.Add(new ReportsList(14, "Report 4"));
            report.Add(new ReportsList(18, "Report 5"));
            report.Add(new ReportsList(16, "Report 6"));
            report.Add(new ReportsList(17, "Report 7"));
            report.Add(new ReportsList(15, "Report 8"));
            report.Add(new ReportsList(19, "Report 9"));
            report.Add(new ReportsList(20, "Report 10"));
            report.Add(new ReportsList(21, "Report 11"));
            report.Add(new ReportsList(22, "Report 12"));
            this.reportList.DataSource = report;
        }
        [Serializable]
        class ReportsList
        {
            public int value { get; set; }
            public string text { get; set; }
            public ReportsList(int value, string group)
            {
                this.value = value;
                this.text = group;
            }
        }
        [Serializable]
        class employeesList
        {
            public int value { get; set; }
            public string parentId { get; set; }
            public string text { get; set; }
            public employeesList(int value, string id, string text)
            {
                this.value = value;
                this.parentId = id;
                this.text = text;

            }
        }
        [Serializable]
        class ProjectsList
        {
            public string parentId { get; set; }
            public string text { get; set; }
            public ProjectsList(string gID, string group)
            {
                this.parentId = gID;
                this.text = group;
            }
        }
    }
}